# Inactive Cleanup endpoints (Admin API)

> 11 FeatherPanel Admin API endpoints from admin/inactive-cleanup.php: methods, paths, auth, permissions, rate limits, parameters and responses.

Source: https://featherpanel.com/docs/api/reference/admin/inactive-cleanup/

Defined in [`backend/app/routes/admin/inactive-cleanup.php`](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/routes/admin/inactive-cleanup.php). Authentication used here: **Admin**. Read [Authentication](https://featherpanel.com/docs/api/authentication/) for how to send credentials and [Rate limits and errors](https://featherpanel.com/docs/api/rate-limits-and-errors/) for the response envelope.

Paths, methods, permissions and rate limits come from the route file. Summaries, parameters and response codes come from the OpenAPI annotations on the controllers; endpoints without annotations show only what the route file declares.

## Endpoints

### GET `/api/admin/inactive-cleanup/settings`

- Auth: Admin
- Permission: `admin.servers.view`
- Route name: `admin-inactive-cleanup-settings`
- Controller: [`InactiveCleanupController::settings`](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/Controllers/Admin/InactiveCleanupController.php)
- [route source](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/routes/admin/inactive-cleanup.php#L37)

```bash
curl -X GET "$PANEL_URL/api/admin/inactive-cleanup/settings" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"
```

### PUT `/api/admin/inactive-cleanup/settings`

- Auth: Admin
- Permission: `admin.servers.delete`
- Route name: `admin-inactive-cleanup-settings-update`
- Controller: [`InactiveCleanupController::updateSettings`](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/Controllers/Admin/InactiveCleanupController.php)
- [route source](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/routes/admin/inactive-cleanup.php#L38)

```bash
curl -X PUT "$PANEL_URL/api/admin/inactive-cleanup/settings" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"
```

### POST `/api/admin/inactive-cleanup/preview`

- Auth: Admin
- Permission: `admin.servers.view`
- Route name: `admin-inactive-cleanup-preview`
- Controller: [`InactiveCleanupController::preview`](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/Controllers/Admin/InactiveCleanupController.php)
- [route source](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/routes/admin/inactive-cleanup.php#L39)

```bash
curl -X POST "$PANEL_URL/api/admin/inactive-cleanup/preview" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"
```

### POST `/api/admin/inactive-cleanup/run`

- Auth: Admin
- Permission: `admin.servers.delete`
- Route name: `admin-inactive-cleanup-run`
- Controller: [`InactiveCleanupController::run`](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/Controllers/Admin/InactiveCleanupController.php)
- [route source](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/routes/admin/inactive-cleanup.php#L40)

```bash
curl -X POST "$PANEL_URL/api/admin/inactive-cleanup/run" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"
```

### GET `/api/admin/inactive-cleanup/archives`

- Auth: Admin
- Permission: `admin.servers.view`
- Route name: `admin-inactive-cleanup-archives`
- Controller: [`InactiveCleanupController::archives`](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/Controllers/Admin/InactiveCleanupController.php)
- [route source](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/routes/admin/inactive-cleanup.php#L41)

```bash
curl -X GET "$PANEL_URL/api/admin/inactive-cleanup/archives" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"
```

### GET `/api/admin/inactive-cleanup/servers/{id}`

- Auth: Admin
- Permission: `admin.servers.view`
- Route name: `admin-inactive-cleanup-server`
- Controller: [`InactiveCleanupController::serverStatus`](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/Controllers/Admin/InactiveCleanupController.php)
- [route source](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/routes/admin/inactive-cleanup.php#L42)

| Parameter | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | \- | yes |  |

```bash
curl -X GET "$PANEL_URL/api/admin/inactive-cleanup/servers/$ID" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"
```

### PUT `/api/admin/inactive-cleanup/servers/{id}/exempt`

- Auth: Admin
- Permission: `admin.servers.edit`
- Route name: `admin-inactive-cleanup-server-exempt`
- Controller: [`InactiveCleanupController::setExempt`](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/Controllers/Admin/InactiveCleanupController.php)
- [route source](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/routes/admin/inactive-cleanup.php#L43)

| Parameter | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | \- | yes |  |

```bash
curl -X PUT "$PANEL_URL/api/admin/inactive-cleanup/servers/$ID/exempt" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"
```

### GET `/api/admin/disk-quota/settings`

- Auth: Admin
- Permission: `admin.users.list`
- Route name: `admin-disk-quota-settings`
- Controller: [`DiskQuotaController::settings`](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/Controllers/Admin/DiskQuotaController.php)
- [route source](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/routes/admin/inactive-cleanup.php#L45)

```bash
curl -X GET "$PANEL_URL/api/admin/disk-quota/settings" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"
```

### PUT `/api/admin/disk-quota/settings`

- Auth: Admin
- Permission: `admin.settings.edit`
- Route name: `admin-disk-quota-settings-update`
- Controller: [`DiskQuotaController::updateSettings`](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/Controllers/Admin/DiskQuotaController.php)
- [route source](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/routes/admin/inactive-cleanup.php#L46)

```bash
curl -X PUT "$PANEL_URL/api/admin/disk-quota/settings" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"
```

### GET `/api/admin/disk-quota/users/{id}`

- Auth: Admin
- Permission: `admin.users.list`
- Route name: `admin-disk-quota-user`
- Controller: [`DiskQuotaController::show`](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/Controllers/Admin/DiskQuotaController.php)
- [route source](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/routes/admin/inactive-cleanup.php#L47)

| Parameter | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | \- | yes |  |

```bash
curl -X GET "$PANEL_URL/api/admin/disk-quota/users/$ID" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"
```

### PUT `/api/admin/disk-quota/users/{id}`

- Auth: Admin
- Permission: `admin.users.edit`
- Route name: `admin-disk-quota-user-update`
- Controller: [`DiskQuotaController::update`](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/Controllers/Admin/DiskQuotaController.php)
- [route source](https://github.com/MythicalLTD/FeatherPanel/blob/3faf369c3b4b626654434921a2ee2655ff85da45/backend/app/routes/admin/inactive-cleanup.php#L48)

| Parameter | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | \- | yes |  |

```bash
curl -X PUT "$PANEL_URL/api/admin/disk-quota/users/$ID" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"
```
